import type { MaybeRefOrGetter } from 'vue';
type Options = Readonly<{
    gap: MaybeRefOrGetter<number>;
    enabled?: MaybeRefOrGetter<boolean>;
}>;
export default function useInfinitePlane(options: Options): {
    planeRef: import("vue").ShallowRef<HTMLElement | undefined, HTMLElement | undefined>;
    coordinate: import("vue").WritableComputedRef<{
        x: number;
        y: number;
    }, {
        x: number;
        y: number;
    }>;
    cursor: Readonly<import("vue").Ref<{
        readonly x: number;
        readonly y: number;
    } | undefined, {
        readonly x: number;
        readonly y: number;
    } | undefined>>;
    isDragging: import("vue").ComputedRef<boolean>;
    bgStyle: import("vue").ComputedRef<{
        backgroundImage: string;
        backgroundSize: string;
        backgroundPosition: string;
    }>;
    stopPan: () => void;
};
export {};
